/*
 * Copyright (C) 2006-2007 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.codehaus.groovy.maven.runtime.support.stubgen.parser;

import java.io.Reader;

/**
 * Abstraction of a parser.
 *
 * @version $Id: Parser.java 12232 2008-05-03 06:19:37Z user57 $
 * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>
 */
public interface Parser
{
    SourceType getSourceType();

    Node parse(Reader reader, String fileName) throws ParseException;

    String snippet(Node start, Node stop);
}